<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

$id_bodega = $_POST["id_bodega"];	
$id_zona = $_POST["lstzona"];	
$id_vendedor = $_POST["lstvendedor"];
$id_tipo_dcto = $_POST["lstdcto"];	//$lstpago=3;     // todas las facturas pasan a credito.
$id_tipo_pago = 3; //$_POST["lstpago"];
$sucursal = $_POST["txtsucursal"];
$rut_suc = $_POST["txtrut"];
 $txtorden =$_POST["txtorden"];
 if ($txtorden =='') $txtorden =0;
?>
<?
include("../conex.php");
/**************** Datos Empresa ***********************************************************/
$sql_bsuc="SELECT * FROM sucursales WHERE sucursal='$sucursal' AND rut = '$rut_suc'";


$res_bsuc = mysql_query($sql_bsuc,$enlace);
$rowsuc=0;
while (mysql_fetch_object ($res_bsuc))
		{
		$id_sucursal=mysql_result($res_bsuc, $rowsuc, "Id");
		$rowsuc=$rowsuc+1;
		}
		
		$sql_num_bol = $_POST["txtndcto"];
		
		$sql_comprueba = "SELECT * FROM salida WHERE empresa = $id_empresa AND tipo_dcto = $id_tipo_dcto AND num_dcto = $sql_num_bol";	
		//echo $sql_comprueba;
		$res_comprueba = mysql_query($sql_comprueba,$enlace);	
		$row_comprueba=0;
		while (mysql_fetch_object ($res_comprueba))
			{
			$row_comprueba +=1;
			}


if ($row_comprueba==0)
	{
	
	
		$cant = 1;
		$flag=0;
		$fecha_em=$txtfecha;

		  $txtivar=0;
			
				
//*************  Descuento en pesos ********************************************/
			
			$txtsubtotal = $_POST["txtst"];
			$cal_descuento = $_POST["txtdes"];
			$por_des = $_POST["txtpor"];
			if ($por_des=='') $por_des=0;
//***********  Total de productos ***********************************************/
			
			$cant = "1";
			$ctot_prod=0;
			while ($cant<=$cnt)
				{
				if ($total[$cant]>0)
					{
					$ctot_prod+=1;
					}
				$cant=$cant+1;
				}	

//********************// valida numero de SII   en tope	 *********/
	$sql_ultima_bol = "SELECT correlativo, tope FROM tipo_dcto_num_bodega  WHERE id_bodega =1 AND id_dcto='$id_tipo_dcto'";
	$res_ultima_bol = mysql_query($sql_ultima_bol,$enlace);

	if(mysql_fetch_object($res_ultima_bol))	
	   
		$num_tope = mysql_result($res_ultima_bol,0 ,"tope");
			
	       if ($sql_num_bol>$num_tope) 
		   {
		   ?>
	<script language="javascript">
	alert("Solicitar folio en SII para Documentos");
	window.top.open('','_parent','');window.top.close(); 
	</script>
	     <?
		 exit();
           }



//********************* actualiza numero factura ************************	

$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = $sql_num_bol WHERE id_dcto = '$id_tipo_dcto' AND id_bodega=1 AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);	
	
	

	
	
		
//****************************** insertar salida *******************************************/
            $hora = date('H:i:s'); 	
			$dia = substr ($txtfecha, 0, 2);
			$mes = substr ($txtfecha, 3, 2);
			$aņo = substr ($txtfecha, 6, 4); 
			$fecha_em = "$aņo-$mes-$dia";
			$dia = substr ($fecha2, 0, 2);
			$mes = substr ($fecha2, 3, 2);
			$aņo = substr ($fecha2, 6, 4); 
			$fecha_ven = "$aņo-$mes-$dia";	
			
			$factor=1;
			if ($id_tipo_dcto==6 || $id_tipo_dcto==61) { $factor=-1;}
$observacion = $txtobserva."1 TipoDcto:".$tiporef ."NumDcto:".$folioref."Fecha:".$fecha_em."CodRef (1-2-3):".$codref."RazonRef:". $razonref;

  if ($tiporef2!='')
  {  $observacion= $observacion ."2.- TipoDcto:".$tiporef2 ."NumDcto:".$folioref2."Fecha:".$fecharef2."CodRef (1-2-3):".$codref2."RazonRef:".$razonref2;
	}
			
			$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, descuento, exento, neto, iva, total, productos, iva_retenido, usuario, bodega, vendedor, zona, id_sucursal, hora, orden_compra, observacion, por_descuento, factor) 
			VALUES ($id_empresa, '$txtrut', $sql_num_bol, $id_tipo_dcto, '$fecha_em', '$fecha_ven', $id_tipo_pago, $txtdes, $txtexento, $txtneto,  $txtiva, $txttotal, 1, $txtivar, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal, $txtorden, '$hora', '$observacion', $por_des, $factor)";
	//echo $wsql;	
			$consulta = mysql_query($wsql,$enlace);
			
  //++++++++++++++++++++++++++++ Sacar el ultimo
			
			$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
			$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
			$sultimo_id = mysql_result($res_ultimo, 0, "id");
			
			if ($id_tipo_pago==3)        //  CREDITO
			{
			$tipo_documento='Otros';
			if($id_tipo_dcto==33) $tipo_documento='FE';
			if($id_tipo_dcto==61) $tipo_documento='NC E';
			if($id_tipo_dcto==56) $tipo_documento='ND E';
			if($id_tipo_dcto==34) $tipo_documento='FEex';
			
			$des = $tipo_documento.' '.$sql_num_bol;
			$txttotal=$txttotal*$factor;
			$csql="INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal) 
			VALUES ($id_empresa, '$txtrut', $sultimo_id, '$fecha_em', '$des', $txttotal, 'C', $id_user, $id_sucursal)";
			$con = mysql_query($csql,$enlace);
			}
			
// ************** movmiento productos ********************
		
		$cant = "1";
		
		while ($cant<=$cnt)
			{
		$psql = "INSERT INTO movimiento (empresa, rut, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario, numero_dcto, tipo_dcto, descuentos, sub_total, bodega, id_soe, factor) 
					VALUES ($id_empresa, '$txtrut', 'S', '$fecha_em', $codigo[$cant], $cantidad[$cant], $precio[$cant], $sql_num_bol, $id_tipo_dcto, $desc[$cant], $total[$cant], $id_bodega, $sultimo_id, $factor)";
				$sql_productos = mysql_query($psql,$enlace);
				
				$cantidad[$cant]=$cantidad[$cant]*$factor;
				$sql_sal = "UPDATE productos SET saldo=(saldo-$cantidad[$cant]), u_salida=(u_salida+$cantidad[$cant]) WHERE empresa=$id_empresa AND codigo = $codigo[$cant]";
				mysql_query($sql_sal,$enlace);
			
	       
			$cant=$cant+1;
	      }
	
		?>
		<script>
	window.opener.document.form1.Envia_SII.disabled = false;
	//window.opener.document.form1.Imprimir_PDF.disabled = false;

	window.opener.document.form1.Guardar.disabled = true;
	alert("Venta guardada con exito");
	window.top.open('','_parent','');window.top.close();
</script>
		
		<?
		
	}
	else 
	{
		?>
<script>
  
	window.opener.document.form1.Guardar.disabled = false;
	alert ("El numero de documento ingresado ya existe en el sistema");
	window.top.open('','_parent','');window.top.close();
</script>
<?
	}
?>
